package com.cico.nest.lcdp.boot.core.system.framework.sms.core.client.dto;

import com.cico.nest.lcdp.boot.core.system.framework.sms.core.enums.SmsTemplateAuditStatusEnum;
import lombok.Data;

/**
 * 短信模板 Response DTO
 *
 * @author zws
 */
@Data
public class SmsTemplateRespDTO {

    /**
     * 模板编号
     */
    private String id;
    /**
     * 短信内容
     */
    private String content;
    /**
     * 审核状态
     *
     * 枚举 {@link SmsTemplateAuditStatusEnum}
     */
    private Integer auditStatus;
    /**
     * 审核未通过的理由
     */
    private String auditReason;

    public SmsTemplateRespDTO setId(String id) {
        this.id = id;
        return this;
    }

    public SmsTemplateRespDTO setContent(String content) {
        this.content = content;
        return this;
    }

    public SmsTemplateRespDTO setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
        return this;
    }

    public SmsTemplateRespDTO setAuditReason(String auditReason) {
        this.auditReason = auditReason;
        return this;
    }
}
